Summary:        LightDM GTK Greeter
Name:           lightdm-gtk
Version:        2.0.8
Release:    1%{?dist}
License:        GPLv3+
URL:            https://github.com/Xubuntu/lightdm-gtk-greeter
Source0:        https://github.com/Xubuntu/lightdm-gtk-greeter/archive/lightdm-gtk-greeter-%{version}.tar.gz
Source1:        60-lightdm-gtk-greeter.conf
Patch0:         fix_arm_compile.patch
Patch1:         lightdm-gtk_add-language-button-to-layout.patch


Patch2:         lightdm-gtk-greeter-1.8.5-add-cinnamon-badges.patch

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  make
BuildRequires:  pkgconfig(liblightdm-gobject-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  xfce4-dev-tools

Provides:       lightdm-gtk-greeter = %{version}-%{release}
Provides:       lightdm-greeter = 1.2

Requires:       lightdm

%if 0%{?fedora} || 0%{?rhel} >= 8
%global background %{_datadir}/backgrounds/default.png
Requires:       desktop-backgrounds-compat
%endif
%if 0%{?rhel} && 0%{?rhel} < 8
%global background %{_datadir}/backgrounds/day.jpg
Requires:       system-logos
%endif
Requires:       gnome-themes-standard

Supplements: (lightdm and lightdm-autologin-greeter)

%description
A LightDM greeter that uses the GTK3 toolkit.


%prep
%autosetup -n lightdm-gtk-greeter-lightdm-gtk-greeter-%{version} -p1

%if 0%{?background:1}
sed -i.background -e "s|#background=.*|background=%{background}|" \
  data/lightdm-gtk-greeter.conf
%endif


%build
sh autogen.sh
%configure \
  --disable-silent-rules \
  --disable-static \
  --disable-libindicator \
  --enable-at-spi-command="%{_libexecdir}/at-spi-bus-launcher --launch-immediately" \
  --enable-kill-on-sigterm

%make_build


%install
%make_install

install -m644 -p -D %{SOURCE1} \
  %{buildroot}%{_datadir}/lightdm/lightdm.conf.d/60-lightdm-gtk-greeter.conf

%find_lang lightdm-gtk-greeter 

mkdir -p %{buildroot}%{_datadir}/lightdm-gtk-greeter/

rm -fv %{buildroot}%{_docdir}/lightdm-gtk-greeter/sample-lightdm-gtk-greeter.css


%pre
%{_sbindir}/update-alternatives \
  --remove lightdm-greeter \
  %{_datadir}/xgreeters/lightdm-gtk-greeter.desktop 2> /dev/null ||:


%files -f lightdm-gtk-greeter.lang
%license COPYING
%doc AUTHORS NEWS README.md
%doc data/sample-lightdm-gtk-greeter.css
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf
%{_sbindir}/lightdm-gtk-greeter
%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop
%dir %{_datadir}/lightdm-gtk-greeter/
%{_datadir}/icons/hicolor/scalable/places/*badge-symbolic.svg
%{_datadir}/lightdm/lightdm.conf.d/60-lightdm-gtk-greeter.conf


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.8-1
- initial build
